Subject: linux-next: build failure after merge of the thermal tree

From: [email-masked]
Date: Mon, 1 Aug 2022 23:35:09 +0100

Hi all,

After merging the thermal tree, today's linux-next build (x86
allmodconfig) failed like this:

/tmp/next/build/drivers/thermal/samsung/exynos_tmu.c:753:44: warning: 'struct thermal_zone' declared inside parameter list will not be visible outside of this definition or declaration
  753 | static int exynos_tmu_set_emulation(struct thermal_zone *tz, int temp)
      |                                            ^~~~~~~~~~~~
/tmp/next/build/drivers/thermal/samsung/exynos_tmu.c:1002:19: error: initialization of 'int (*)(struct thermal_zone_device *, int)' from incompatible pointer type 'int (*)(struct thermal_zone *, int)' [-Werror=incompatible-pointer-types]
 1002 |  .set_emul_temp = exynos_tmu_set_emulation,
      |                   ^~~~~~~~~~~~~~~~~~~~~~~~
/tmp/next/build/drivers/thermal/samsung/exynos_tmu.c:1002:19: note: (near initialization for 'exynos_sensor_ops.set_emul_temp')
cc1: some warnings being treated as errors

Caused by commit

  a5e9a144258bf898 ("thermal/drivers/samsung: Switch to new of thermal API")

which looks like it missed some conversions.

I'll figure out how to handle this tomorrow since I don't expect to
release today, I'm just droping the tree for now.